package com.zcloud.service.keyProjects.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.keyProjects.KeyprojectPunishMapper;
import com.zcloud.service.keyProjects.KeyprojectPunishService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：重点工程处罚
 * 作者：luoxiaobao
 * 时间：2022-09-21
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class KeyprojectPunishServiceImpl implements KeyprojectPunishService {

	@Autowired
	private KeyprojectPunishMapper keyprojectpunishMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		keyprojectpunishMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		keyprojectpunishMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		keyprojectpunishMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return keyprojectpunishMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return keyprojectpunishMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return keyprojectpunishMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		keyprojectpunishMapper.deleteAll(ArrayDATA_IDS);
	}


	public  void editstate(PageData pd)throws Exception{
		keyprojectpunishMapper.editstate(pd);
	}
	/**
	 * 根据添加人查询罚单
	 * @param pd
	 * @return
	 */
	public List<PageData> findByOperator(PageData pd)throws Exception{
		return keyprojectpunishMapper.findByOperator(pd);
	}
}

